# Webhooks

> Manage webhook endpoints and list recent events for reconciliation.

Source: https://docs.okyc.stream/reference/api/webhooks

Guide: [webhooks and signature verification](https://docs.okyc.stream/backend/webhooks.md).

Base URL `https://api.okyc.stream/v1` · API version `2026-10-01` · authenticate with `Authorization: Bearer sk_test_…`.

### POST /v1/webhook\_endpoints

Create a webhook endpoint (the signing secret is returned once).

**Request body** ([WebhookEndpointCreate](https://docs.okyc.stream/reference/api/schemas.md#webhookendpointcreate), required)

| Field    | Type        | Required | Notes           |
| -------- | ----------- | -------- | --------------- |
| `url`    | `string`    | yes      | format `uri`    |
| `events` | `string`\[] |          | default `["*"]` |

**Responses**

| Status | Description | Body                                  |
| ------ | ----------- | ------------------------------------- |
| `201`  | Created     | object (map)                          |
| `400`  | Error       | [Error](https://docs.okyc.stream/reference/api/schemas.md#error) |

### GET /v1/webhook\_endpoints

List webhook endpoints.

**Responses**

| Status | Description | Body         |
| ------ | ----------- | ------------ |
| `200`  | OK          | object (map) |

### DELETE /v1/webhook\_endpoints/\{id}

Delete a webhook endpoint.

**Parameters**

| Name | In   | Type     | Required | Notes              |
| ---- | ---- | -------- | -------- | ------------------ |
| `id` | path | `string` | yes      | e.g. `ses_in_01j…` |

**Responses**

| Status | Description | Body                                  |
| ------ | ----------- | ------------------------------------- |
| `200`  | OK          | `object`                              |
| `404`  | Error       | [Error](https://docs.okyc.stream/reference/api/schemas.md#error) |

### GET /v1/events

List events (for reconciliation).

**Parameters**

| Name    | In    | Type      | Required | Notes                        |
| ------- | ----- | --------- | -------- | ---------------------------- |
| `type`  | query | `string`  |          | —                            |
| `limit` | query | `integer` |          | min 1, max 100, default `50` |

**Responses**

| Status | Description | Body         |
| ------ | ----------- | ------------ |
| `200`  | OK          | object (map) |
